System.register(['@angular/core', '../../services/chartdata.service'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var core_1, chartdata_service_1;
    var CircularGaugeComponent;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (chartdata_service_1_1) {
                chartdata_service_1 = chartdata_service_1_1;
            }],
        execute: function() {
            CircularGaugeComponent = (function () {
                function CircularGaugeComponent(chartDataService) {
                    this.chartDataService = chartDataService;
                    this.enableTabScroll = true;
                    this.scales = [{
                            showRanges: true,
                            startAngle: 122, sweepAngle: 296, radius: 130, showScaleBar: true, size: 1, maximum: 120, majorIntervalValue: 20, minorIntervalValue: 10,
                            border: {
                                width: 0.5,
                            },
                            pointers: [{
                                    value: 60,
                                    showBackNeedle: true,
                                    backNeedleLength: 20,
                                    length: 95,
                                    width: 7,
                                    pointerCap: { radius: 12 }
                                }],
                            ticks: [{
                                    type: "major",
                                    distanceFromScale: 2,
                                    height: 16,
                                    width: 1, color: "#8c8c8c"
                                }, { type: "minor", height: 8, width: 1, distanceFromScale: 2, color: "#8c8c8c" }],
                            labels: [{
                                    color: "#8c8c8c"
                                }],
                            ranges: [{
                                    distanceFromScale: -30,
                                    startValue: 0,
                                    endValue: 70
                                }, {
                                    distanceFromScale: -30,
                                    startValue: 70,
                                    endValue: 110,
                                    backgroundColor: "#fc0606",
                                    border: { color: "#fc0606" }
                                },
                                {
                                    distanceFromScale: -30,
                                    startValue: 110,
                                    endValue: 120,
                                    backgroundColor: "#f5b43f",
                                    border: { color: "#f5b43f" }
                                }]
                        }];
                }
                CircularGaugeComponent = __decorate([
                    core_1.Component({
                        selector: 'sd-home',
                        templateUrl: 'app/components/circulargauge/circulargauge.component.html',
                        providers: [chartdata_service_1.ChartDataService]
                    }), 
                    __metadata('design:paramtypes', [chartdata_service_1.ChartDataService])
                ], CircularGaugeComponent);
                return CircularGaugeComponent;
            }());
            exports_1("CircularGaugeComponent", CircularGaugeComponent);
        }
    }
});
//# sourceMappingURL=circulargauge.component.js.map