System.register(['@angular/core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var core_1;
    var HeatMapComponent;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            HeatMapComponent = (function () {
                function HeatMapComponent() {
                    this.margin = { "left": 25, "right": 25 };
                    var itemsSource = [];
                    var rows = ["Vegie-spread", "Tofuaa", "Alice Mutton", "Konbu", "Fløtemysost", "Perth Pasties", "Boston Crab Meat", "Raclette Courdavault"];
                    for (var i = 0; i < 8; i++) {
                        itemsSource.push({
                            ProductName: rows[i], Y2010: Math.floor((Math.random() * 100) + 1), Y2011: Math.floor((Math.random() * 100) + 1), Y2012: Math.floor((Math.random() * 100) + 1), Y2013: Math.floor((Math.random() * 100) + 1),
                            Y2014: Math.floor((Math.random() * 100) + 1), Y2015: Math.floor((Math.random() * 100) + 1), Y2016: Math.floor((Math.random() * 100) + 1), Y2017: Math.floor((Math.random() * 100) + 1), Y2018: Math.floor((Math.random() * 100) + 1)
                        });
                    }
                    this.itemsSource = itemsSource;
                    this.itemsMapping = {
                        headerMapping: { "propertyName": "ProductName", "displayName": "Product Name", columnStyle: { width: 140, textAlign: "right" } },
                        columnMapping: [
                            { "propertyName": "Y2010", "displayName": "Y2010" },
                            { "propertyName": "Y2011", "displayName": "Y2011" },
                            { "propertyName": "Y2012", "displayName": "Y2012" },
                            { "propertyName": "Y2013", "displayName": "Y2013" },
                            { "propertyName": "Y2014", "displayName": "Y2014" },
                            { "propertyName": "Y2015", "displayName": "Y2015" },
                            { "propertyName": "Y2016", "displayName": "Y2016" },
                            { "propertyName": "Y2017", "displayName": "Y2017" },
                            { "propertyName": "Y2018", "displayName": "Y2018" }
                        ]
                    };
                    this.label = { "text": "0" };
                    this.legendLabel = { "text": "0" };
                    this.legendCollection = ["heatmaplegend"];
                }
                HeatMapComponent = __decorate([
                    core_1.Component({
                        selector: 'sd-home',
                        templateUrl: 'app/components/heatmap/heatmap.component.html'
                    }), 
                    __metadata('design:paramtypes', [])
                ], HeatMapComponent);
                return HeatMapComponent;
            }());
            exports_1("HeatMapComponent", HeatMapComponent);
        }
    }
});
//# sourceMappingURL=heatmap.component.js.map