System.register(['@angular/core', '../../services/chartdata.service'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var core_1, chartdata_service_1;
    var LinearGaugeComponent;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (chartdata_service_1_1) {
                chartdata_service_1 = chartdata_service_1_1;
            }],
        execute: function() {
            LinearGaugeComponent = (function () {
                function LinearGaugeComponent(chartDataService) {
                    this.chartDataService = chartDataService;
                    this.scale = [{
                            width: 4, border: { color: "transparent", width: 0 }, showRanges: true, length: 310,
                            position: { x: 52, y: 50 },
                            markerPointers: [{
                                    value: 50, length: 10, width: 10, backgroundColor: "#4D4D4D", border: { color: "#4D4D4D" }
                                }],
                            barPointers: [{
                                    value: 50, width: 0, distanceFromScale: 8, backgroundColor: "#6FAAB0"
                                }], labels: [{ font: { size: "11px", fontFamily: "Segoe UI", fontStyle: "bold" }, distanceFromScale: { x: -13 } }],
                            ticks: [{ type: "majorinterval", width: 1, color: "#8c8c8c" }],
                            ranges: [{
                                    endValue: 50,
                                    startValue: 0,
                                    backgroundColor: "#F6B53F",
                                    border: { color: "#F6B53F" }, startWidth: 4, endWidth: 4
                                }, {
                                    endValue: 120,
                                    startValue: 50,
                                    backgroundColor: "#E94649",
                                    border: { color: "#E94649" }, startWidth: 4, endWidth: 4
                                }]
                        }];
                }
                LinearGaugeComponent = __decorate([
                    core_1.Component({
                        selector: 'sd-home',
                        templateUrl: 'app/components/lineargauge/lineargauge.component.html',
                        providers: [chartdata_service_1.ChartDataService]
                    }), 
                    __metadata('design:paramtypes', [chartdata_service_1.ChartDataService])
                ], LinearGaugeComponent);
                return LinearGaugeComponent;
            }());
            exports_1("LinearGaugeComponent", LinearGaugeComponent);
        }
    }
});
//# sourceMappingURL=lineargauge.component.js.map