System.register(['@angular/core', '../../services/pivotdata.service'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var core_1, pivotdata_service_1;
    var OlapGaugeComponent;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (pivotdata_service_1_1) {
                pivotdata_service_1 = pivotdata_service_1_1;
            }],
        execute: function() {
            OlapGaugeComponent = (function () {
                function OlapGaugeComponent(pivotdataservice) {
                    this.pivotdataservice = pivotdataservice;
                    this.data = pivotdataservice.pivot_datacube();
                    this.cube = pivotdataservice.pivot_cube();
                    this.catalog = pivotdataservice.pivot_catelog();
                    this.rows = pivotdataservice.pivot_gaugerows();
                    this.columns = pivotdataservice.pivot_Olapcolumns();
                    this.values = pivotdataservice.pivot_gaugevalues();
                    this.scales = pivotdataservice.scales();
                }
                OlapGaugeComponent = __decorate([
                    core_1.Component({
                        selector: 'sd-home',
                        templateUrl: 'app/components/olapgauge/olapgauge.component.html',
                        styleUrls: ['app/components/olapgauge/olapgauge.component.css'],
                        providers: [pivotdata_service_1.PivotDataService]
                    }), 
                    __metadata('design:paramtypes', [pivotdata_service_1.PivotDataService])
                ], OlapGaugeComponent);
                return OlapGaugeComponent;
            }());
            exports_1("OlapGaugeComponent", OlapGaugeComponent);
        }
    }
});
//# sourceMappingURL=olapgauge.component.js.map