import {Component} from '@angular/core';
import {PivotDataService} from '../../services/pivotdata.service';

@Component({
  selector: 'sd-home',
  templateUrl: 'app/components/olapgauge/olapgauge.component.html',
  styleUrls: ['app/components/olapgauge/olapgauge.component.css'],
  providers:[PivotDataService]
})
export class OlapGaugeComponent {
  public data; cube; catalog; rows; columns;values;scales;
    constructor(public pivotdataservice: PivotDataService) {
      this.data = pivotdataservice.pivot_datacube();
      this.cube = pivotdataservice.pivot_cube();
      this.catalog = pivotdataservice.pivot_catelog();
      this.rows = pivotdataservice.pivot_gaugerows();
      this.columns = pivotdataservice.pivot_Olapcolumns();
      this.values = pivotdataservice.pivot_gaugevalues();
      this.scales = pivotdataservice.scales();
    }
}