import {Component} from '@angular/core';
import {PivotDataService} from '../../services/pivotdata.service';

@Component({
  selector: 'sd-home',
  templateUrl: 'app/components/pivotgrid/pivotgrid.component.html',
  styleUrls: ['app/components/pivotgrid/pivotgrid.component.css'],
  providers:[PivotDataService]
})
export class PivotGridComponent {
    public data; rows; columns;values;
    constructor(public pivotdataservice: PivotDataService) {
      this.data = pivotdataservice.pivot_data();
      this.rows = pivotdataservice.pivot_rows();
      this.columns = pivotdataservice.pivot_columns();
      this.values = pivotdataservice.pivot_values();
    }
}