import {Component} from '@angular/core';
import {NorthwindService} from '../../services/northwind.service';

@Component({
  selector: 'sd-home',
  templateUrl: 'app/components/spreadsheet/spreadsheet.component.html',
  providers:[NorthwindService]
})
export class SpreadSheetComponent {
    public spreadData;
    constructor(public northwindService: NorthwindService) {
        this.spreadData = ej.DataManager(northwindService.getOrders()).executeLocal(ej.Query().take(50).select("OrderID", "CustomerID", "EmployeeID", "ShipName", "ShipAddress", "ShipCity"));
    }
}