System.register(['@angular/core', '../../services/ganttdata.service'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var core_1, ganttdata_service_1;
    var TreeGridComponent;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (ganttdata_service_1_1) {
                ganttdata_service_1 = ganttdata_service_1_1;
            }],
        execute: function() {
            TreeGridComponent = (function () {
                function TreeGridComponent(ganttDataService) {
                    this.ganttDataService = ganttDataService;
                    this.treeColumnIndex = 1;
                    this.treeGridData = ganttDataService.getGanttData();
                }
                TreeGridComponent = __decorate([
                    core_1.Component({
                        selector: 'sd-home',
                        templateUrl: 'app/components/treegrid/treegrid.component.html',
                        styleUrls: ['app/components/treegrid/treegrid.component.css'],
                        providers: [ganttdata_service_1.GanttDataService]
                    }), 
                    __metadata('design:paramtypes', [ganttdata_service_1.GanttDataService])
                ], TreeGridComponent);
                return TreeGridComponent;
            }());
            exports_1("TreeGridComponent", TreeGridComponent);
        }
    }
});
//# sourceMappingURL=treegrid.component.js.map