import {CreateArrayTagDirective, CreateControlValueAccessor, CreateComplexDirective, CreateComponent, Utils, ContentChild, Type, forwardRef } from './core';

var Outputs = [ "load" ];
var ComplexProperties = [ "quietZone"  ];
var Inputs = Utils.AngularizeInputs( [ "barcodeToTextGapHeight", "barHeight", "darkBarColor", "displayText", "enabled", "encodeStartStopSymbol", "lightBarColor", "narrowBarWidth", "quietZone", "symbologyType", "text", "textColor", "wideBarWidth", "xDimension", "quietZone.all", "quietZone.bottom", "quietZone.left", "quietZone.right", "quietZone.top"  ],[  ]);
export var BarcodeComponent = CreateComponent("Barcode", {
    selector: 'ej-barcode',
    inputs : Inputs,
    outputs : Outputs,
    template:"",
    queries: {
    }
},{
   tags : [], 
   twoways : [  ],  
   complexes : ComplexProperties,
});

export const EJ_BARCODE_COMPONENTS: Type<any>[] = [BarcodeComponent  ]

 
