System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var Outputs, ComplexProperties, Inputs, DateTimePickerComponent, DateTimePickerValueAccessor, EJ_DATETIMEPICKER_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            Outputs = ["beforeClose", "beforeOpen", "change", "close", "create", "destroy", "focusIn", "focusOut", "open"];
            ComplexProperties = ["buttonText", "timeDrillDown"];
            Inputs = core_1.Utils.AngularizeInputs(["buttonText", "cssClass", "dateTimeFormat", "dayHeaderFormat", "depthLevel", "enableAnimation", "enabled", "enablePersistence", "enableRTL", "enableStrictMode", "headerFormat", "height", "htmlAttributes", "interval", "locale", "maxDateTime", "minDateTime", "popupPosition", "readOnly", "showOtherMonths", "showPopupButton", "showRoundedCorner", "startDay", "startLevel", "stepMonths", "timeDisplayFormat", "timeDrillDown", "timePopupWidth", "validationMessage", "validationRules", "value", "watermarkText", "width", "buttonText.done", "buttonText.timeNow", "buttonText.timeTitle", "buttonText.today", "timeDrillDown.enabled", "timeDrillDown.interval", "timeDrillDown.showMeridian", "timeDrillDown.autoClose"], []);
            exports_1("DateTimePickerComponent", DateTimePickerComponent = core_1.CreateComponent("DateTimePicker", {
                selector: '[ej-datetimepicker]',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {}
            }, {
                tags: [],
                twoways: [],
                complexes: ComplexProperties,
            }));
            exports_1("DateTimePickerValueAccessor", DateTimePickerValueAccessor = core_1.CreateControlValueAccessor("[ej-datetimepicker]", DateTimePickerComponent));
            exports_1("EJ_DATETIMEPICKER_COMPONENTS", EJ_DATETIMEPICKER_COMPONENTS = [DateTimePickerComponent, DateTimePickerValueAccessor]);
        }
    }
});
//# sourceMappingURL=datetimepicker.component.js.map