System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var Outputs, ComplexProperties, Inputs, DropDownListComponent, DropDownListValueAccessor, EJ_DROPDOWNLIST_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            Outputs = ["actionBegin", "actionComplete", "actionFailure", "actionSuccess", "beforePopupHide", "beforePopupShown", "cascade", "change", "checkChange", "create", "dataBound", "destroy", "focusIn", "focusOut", "popupHide", "popupResize", "popupShown", "popupResizeStart", "popupResizeStop", "search", "select", "model.valueChange: valueChange"];
            ComplexProperties = ["fields"];
            Inputs = core_1.Utils.AngularizeInputs(["allowVirtualScrolling", "cascadeTo", "caseSensitiveSearch", "cssClass", "dataSource", "delimiterChar", "enableAnimation", "enabled", "enableIncrementalSearch", "enableFilterSearch", "enablePersistence", "enablePopupResize", "enableRTL", "enableSorting", "fields", "filterType", "headerTemplate", "height", "htmlAttributes", "itemsCount", "locale", "maxPopupHeight", "minPopupHeight", "maxPopupWidth", "minPopupWidth", "multiSelectMode", "popupHeight", "popupWidth", "query", "readOnly", "selectedIndex", "selectedIndices", "showCheckbox", "showPopupOnLoad", "showRoundedCorner", "sortOrder", "targetID", "template", "text", "validationMessage", "validationRules", "watermarkText", "width", "virtualScrollMode", "fields.groupBy", "fields.htmlAttributes", "fields.id", "fields.imageAttributes", "fields.imageUrl", "fields.selected", "fields.spriteCssClass", "fields.tableName", "fields.text", "fields.value"], ["value"]);
            exports_1("DropDownListComponent", DropDownListComponent = core_1.CreateComponent("DropDownList", {
                selector: '[ej-dropdownlist]',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {}
            }, {
                tags: [],
                twoways: ["value"],
                complexes: ComplexProperties,
            }));
            exports_1("DropDownListValueAccessor", DropDownListValueAccessor = core_1.CreateControlValueAccessor("[ej-dropdownlist]", DropDownListComponent));
            exports_1("EJ_DROPDOWNLIST_COMPONENTS", EJ_DROPDOWNLIST_COMPONENTS = [DropDownListComponent, DropDownListValueAccessor]);
        }
    }
});
//# sourceMappingURL=dropdownlist.component.js.map