System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var LegendcolorMappingDirective, LegendcolorMappingsDirective, Outputs, ComplexProperties, Inputs, HeatMapLegendComponent, EJ_HEATMAPLEGEND_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            exports_1("LegendcolorMappingDirective", LegendcolorMappingDirective = core_1.CreateComplexDirective({
                selector: "e-legendcolormappings>e-legendcolormapping",
                inputs: ["color", "value", "label"],
                queries: {}
            }, {
                tags: [],
                type: core_1.forwardRef(function () { return HeatMapLegendComponent; })
            }));
            exports_1("LegendcolorMappingsDirective", LegendcolorMappingsDirective = core_1.CreateArrayTagDirective("colorMappingCollection", 'ej-heatmaplegend>e-legendcolormappings', LegendcolorMappingDirective));
            Outputs = [];
            ComplexProperties = [];
            Inputs = core_1.Utils.AngularizeInputs(["width", "height", "isResponsive", "showLabel", "orientation", "legendMode", "colorMappingCollection"], []);
            exports_1("HeatMapLegendComponent", HeatMapLegendComponent = core_1.CreateComponent("HeatMapLegend", {
                selector: 'ej-heatmaplegend',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {
                    _colorMappingCollection: new core_1.ContentChild(LegendcolorMappingsDirective),
                }
            }, {
                tags: ["colorMappingCollection"],
                twoways: [],
                complexes: ComplexProperties,
            }));
            exports_1("EJ_HEATMAPLEGEND_COMPONENTS", EJ_HEATMAPLEGEND_COMPONENTS = [HeatMapLegendComponent, LegendcolorMappingsDirective, LegendcolorMappingDirective]);
        }
    }
});
//# sourceMappingURL=heatmaplegend.component.js.map