System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var Outputs, ComplexProperties, Inputs, ListBoxComponent, EJ_LISTBOX_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            Outputs = ["actionBegin", "actionSuccess", "actionComplete", "actionFailure", "actionBeforeSuccess", "change", "checkChange", "create", "destroy", "focusIn", "focusOut", "itemDrag", "itemDragStart", "itemDragStop", "itemDrop", "select", "unselect", "model.valueChange: valueChange"];
            ComplexProperties = ["fields"];
            Inputs = core_1.Utils.AngularizeInputs(["allowDrag", "allowDrop", "allowMultiSelection", "allowVirtualScrolling", "caseSensitiveSearch", "cascadeTo", "checkedIndices", "cssClass", "dataSource", "enabled", "enableIncrementalSearch", "enablePersistence", "enableRTL", "enableWordWrap", "fields", "height", "itemsCount", "totalItemsCount", "itemRequestCount", "loadDataOnInit", "query", "selectedIndex", "selectedIndices", "showCheckbox", "showRoundedCorner", "template", "virtualScrollMode", "width", "targetID", "fields.checkBy", "fields.groupBy", "fields.htmlAttributes", "fields.id", "fields.imageUrl", "fields.imageAttributes", "fields.selectBy", "fields.spriteCssClass", "fields.tableName", "fields.text", "fields.value"], ["value"]);
            exports_1("ListBoxComponent", ListBoxComponent = core_1.CreateComponent("ListBox", {
                selector: 'ej-listbox',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {}
            }, {
                tags: [],
                twoways: ["value"],
                complexes: ComplexProperties,
            }));
            exports_1("EJ_LISTBOX_COMPONENTS", EJ_LISTBOX_COMPONENTS = [ListBoxComponent]);
        }
    }
});
//# sourceMappingURL=listbox.component.js.map