System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var Outputs, ComplexProperties, Inputs, ListViewComponent, EJ_LISTVIEW_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            Outputs = ["ajaxBeforeLoad", "ajaxComplete", "ajaxError", "ajaxSuccess", "load", "loadComplete", "mouseDown", "mouseUp", "model.dataSourceChange: dataSourceChange"];
            ComplexProperties = [];
            Inputs = core_1.Utils.AngularizeInputs(["cssClass", "enableAjax", "enableCache", "enableCheckMark", "enableFiltering", "enableGroupList", "enablePersistence", "fieldSettings", "headerBackButtonText", "headerTitle", "height", "persistSelection", "preventSelection", "query", "renderTemplate", "selectedItemIndex", "showHeader", "templateId", "width"], ["dataSource"]);
            exports_1("ListViewComponent", ListViewComponent = core_1.CreateComponent("ListView", {
                selector: 'ej-listview',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {}
            }, {
                tags: [],
                twoways: ["dataSource"],
                complexes: ComplexProperties,
            }));
            exports_1("EJ_LISTVIEW_COMPONENTS", EJ_LISTVIEW_COMPONENTS = [ListViewComponent]);
        }
    }
});
//# sourceMappingURL=listview.component.js.map