System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var Outputs, ComplexProperties, Inputs, MaskEditComponent, MaskEditValueAccessor, EJ_MASKEDIT_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            Outputs = ["change", "create", "destroy", "focusIn", "focusOut", "keydown", "keyPress", "keyup", "mouseout", "mouseover"];
            ComplexProperties = [];
            Inputs = core_1.Utils.AngularizeInputs(["cssClass", "customCharacter", "enabled", "enablePersistence", "height", "hidePromptOnLeave", "htmlAttributes", "inputMode", "maskFormat", "name", "readOnly", "showError", "showPromptChar", "showRoundedCorner", "textAlign", "validationMessage", "validationRules", "value", "watermarkText", "width"], []);
            exports_1("MaskEditComponent", MaskEditComponent = core_1.CreateComponent("MaskEdit", {
                selector: '[ej-maskedit]',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {}
            }, {
                tags: [],
                twoways: [],
                complexes: ComplexProperties,
            }));
            exports_1("MaskEditValueAccessor", MaskEditValueAccessor = core_1.CreateControlValueAccessor("[ej-maskedit]", MaskEditComponent));
            exports_1("EJ_MASKEDIT_COMPONENTS", EJ_MASKEDIT_COMPONENTS = [MaskEditComponent, MaskEditValueAccessor]);
        }
    }
});
//# sourceMappingURL=maskedit.component.js.map