import {CreateArrayTagDirective, CreateControlValueAccessor, CreateComplexDirective, CreateComponent, Utils, ContentChild, Type, forwardRef } from './core';

var Outputs = [ "change", "create", "destroy", "focusIn", "focusOut", "keydown", "keyPress", "keyup", "mouseout", "mouseover" ];
var ComplexProperties = [   ];
var Inputs = Utils.AngularizeInputs( [ "cssClass", "customCharacter", "enabled", "enablePersistence", "height", "hidePromptOnLeave", "htmlAttributes", "inputMode", "maskFormat", "name", "readOnly", "showError", "showPromptChar", "showRoundedCorner", "textAlign", "validationMessage", "validationRules", "value", "watermarkText", "width"  ],[  ]);
export var MaskEditComponent = CreateComponent("MaskEdit", {
    selector: '[ej-maskedit]',
    inputs : Inputs,
    outputs : Outputs,
    template:"",
    queries: {
    }
},{
   tags : [], 
   twoways : [  ],  
   complexes : ComplexProperties,
});

export var MaskEditValueAccessor = CreateControlValueAccessor("[ej-maskedit]", MaskEditComponent);
export const EJ_MASKEDIT_COMPONENTS: Type<any>[] = [MaskEditComponent , MaskEditValueAccessor ]

 
