System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var Outputs, ComplexProperties, Inputs, MenuComponent, EJ_MENU_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            Outputs = ["beforeOpen", "click", "close", "open", "create", "destroy", "keydown", "mouseout", "mouseover"];
            ComplexProperties = ["fields"];
            Inputs = core_1.Utils.AngularizeInputs(["animationType", "contextMenuTarget", "cssClass", "enableAnimation", "enableCenterAlign", "enabled", "enableRTL", "enableSeparator", "excludeTarget", "fields", "height", "htmlAttributes", "isResponsive", "menuType", "openOnClick", "orientation", "showRootLevelArrows", "showSubLevelArrows", "subMenuDirection", "titleText", "width", "fields.child", "fields.dataSource", "fields.htmlAttribute", "fields.id", "fields.imageAttribute", "fields.imageUrl", "fields.linkAttribute", "fields.parentId", "fields.query", "fields.spriteCssClass", "fields.tableName", "fields.text", "fields.url"], []);
            exports_1("MenuComponent", MenuComponent = core_1.CreateComponent("Menu", {
                selector: 'ej-menu',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {}
            }, {
                tags: [],
                twoways: [],
                complexes: ComplexProperties,
            }));
            exports_1("EJ_MENU_COMPONENTS", EJ_MENU_COMPONENTS = [MenuComponent]);
        }
    }
});
//# sourceMappingURL=menu.component.js.map