import {CreateArrayTagDirective, CreateControlValueAccessor, CreateComplexDirective, CreateComponent, Utils, ContentChild, Type, forwardRef } from './core';

var Outputs = [ "beforeOpen", "click", "close", "open", "create", "destroy", "keydown", "mouseout", "mouseover" ];
var ComplexProperties = [ "fields"  ];
var Inputs = Utils.AngularizeInputs( [ "animationType", "contextMenuTarget", "cssClass", "enableAnimation", "enableCenterAlign", "enabled", "enableRTL", "enableSeparator", "excludeTarget", "fields", "height", "htmlAttributes", "isResponsive", "menuType", "openOnClick", "orientation", "showRootLevelArrows", "showSubLevelArrows", "subMenuDirection", "titleText", "width", "fields.child", "fields.dataSource", "fields.htmlAttribute", "fields.id", "fields.imageAttribute", "fields.imageUrl", "fields.linkAttribute", "fields.parentId", "fields.query", "fields.spriteCssClass", "fields.tableName", "fields.text", "fields.url"  ],[  ]);
export var MenuComponent = CreateComponent("Menu", {
    selector: 'ej-menu',
    inputs : Inputs,
    outputs : Outputs,
    template:"",
    queries: {
    }
},{
   tags : [], 
   twoways : [  ],  
   complexes : ComplexProperties,
});

export const EJ_MENU_COMPONENTS: Type<any>[] = [MenuComponent  ]

 
