System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var Outputs, ComplexProperties, Inputs, PdfViewerComponent, EJ_PDFVIEWER_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            Outputs = ["documentLoad", "pageChange", "zoomChange", "hyperlinkClick", "beforePrint", "afterPrint", "destroy"];
            ComplexProperties = ["toolbarSettings"];
            Inputs = core_1.Utils.AngularizeInputs(["locale", "toolbarSettings", "toolbarItems", "serviceUrl", "pageCount", "currentPageNumber", "zoomPercentage", "pdfService", "hyperlinkOpenState", "isResponsive", "fileName", "toolbarSettings.showToolTip"], []);
            exports_1("PdfViewerComponent", PdfViewerComponent = core_1.CreateComponent("PdfViewer", {
                selector: 'ej-pdfviewer',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {}
            }, {
                tags: [],
                twoways: [],
                complexes: ComplexProperties,
            }));
            exports_1("EJ_PDFVIEWER_COMPONENTS", EJ_PDFVIEWER_COMPONENTS = [PdfViewerComponent]);
        }
    }
});
//# sourceMappingURL=pdfviewer.component.js.map