System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var Outputs, ComplexProperties, Inputs, PivotChartComponent, EJ_PIVOTCHART_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            Outputs = ["load", "afterServiceInvoke", "beforeServiceInvoke", "drillSuccess", "renderComplete", "renderFailure", "renderSuccess"];
            ComplexProperties = ["dataSource", "serviceMethodSettings"];
            Inputs = core_1.Utils.AngularizeInputs(["analysisMode", "cssClass", "commonSeriesOptions", "currentReport", "dataSource", "customObject", "enable3D", "enableRTL", "isResponsive", "legend", "locale", "operationalMode", "primaryXAxis", "primaryYAxis", "rotation", "serviceMethodSettings", "size", "url", "dataSource.catalog", "dataSource.cube", "dataSource.data", "serviceMethodSettings.drillDown", "serviceMethodSettings.exportPivotChart", "serviceMethodSettings.initialize", "dataSource.columns", "dataSource.rows", "dataSource.values", "dataSource.filters"], []);
            exports_1("PivotChartComponent", PivotChartComponent = core_1.CreateComponent("PivotChart", {
                selector: 'ej-pivotchart',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {}
            }, {
                tags: [],
                twoways: [],
                complexes: ComplexProperties,
            }));
            exports_1("EJ_PIVOTCHART_COMPONENTS", EJ_PIVOTCHART_COMPONENTS = [PivotChartComponent]);
        }
    }
});
//# sourceMappingURL=pivotchart.component.js.map