import {CreateArrayTagDirective, CreateControlValueAccessor, CreateComplexDirective, CreateComponent, Utils, ContentChild, Type, forwardRef } from './core';

var Outputs = [ "load", "afterServiceInvoke", "beforeServiceInvoke", "drillSuccess", "renderComplete", "renderFailure", "renderSuccess" ];
var ComplexProperties = [ "dataSource", "serviceMethodSettings"  ];
var Inputs = Utils.AngularizeInputs( [ "analysisMode", "cssClass", "commonSeriesOptions", "currentReport", "dataSource", "customObject", "enable3D", "enableRTL", "isResponsive", "legend", "locale", "operationalMode", "primaryXAxis", "primaryYAxis", "rotation", "serviceMethodSettings", "size", "url", "dataSource.catalog", "dataSource.cube", "dataSource.data", "serviceMethodSettings.drillDown", "serviceMethodSettings.exportPivotChart", "serviceMethodSettings.initialize", "dataSource.columns", "dataSource.rows", "dataSource.values", "dataSource.filters"  ],[  ]);
export var PivotChartComponent = CreateComponent("PivotChart", {
    selector: 'ej-pivotchart',
    inputs : Inputs,
    outputs : Outputs,
    template:"",
    queries: {
    }
},{
   tags : [], 
   twoways : [  ],  
   complexes : ComplexProperties,
});

export const EJ_PIVOTCHART_COMPONENTS: Type<any>[] = [PivotChartComponent  ]

 
