System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var Outputs, ComplexProperties, Inputs, PivotGaugeComponent, EJ_PIVOTGAUGE_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            Outputs = ["afterServiceInvoke", "beforeServiceInvoke", "load", "renderComplete", "renderFailure", "renderSuccess"];
            ComplexProperties = ["dataSource", "labelFormatSettings", "serviceMethodSettings"];
            Inputs = core_1.Utils.AngularizeInputs(["backgroundColor", "columnsCount", "cssClass", "customObject", "dataSource", "enableTooltip", "enableRTL", "isResponsive", "labelFormatSettings", "locale", "rowsCount", "scales", "serviceMethodSettings", "showHeaderLabel", "url", "dataSource.catalog", "dataSource.cube", "dataSource.data", "labelFormatSettings.numberFormat", "labelFormatSettings.decimalPlaces", "labelFormatSettings.prefixText", "labelFormatSettings.suffixText", "serviceMethodSettings.initialize", "dataSource.columns", "dataSource.rows", "dataSource.values", "dataSource.filters"], []);
            exports_1("PivotGaugeComponent", PivotGaugeComponent = core_1.CreateComponent("PivotGauge", {
                selector: 'ej-pivotgauge',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {}
            }, {
                tags: [],
                twoways: [],
                complexes: ComplexProperties,
            }));
            exports_1("EJ_PIVOTGAUGE_COMPONENTS", EJ_PIVOTGAUGE_COMPONENTS = [PivotGaugeComponent]);
        }
    }
});
//# sourceMappingURL=pivotgauge.component.js.map