System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var Outputs, ComplexProperties, Inputs, PivotGridComponent, EJ_PIVOTGRID_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            Outputs = ["afterServiceInvoke", "beforeServiceInvoke", "beforePivotEnginePopulate", "cellDoubleClick", "cellContext", "cellSelection", "columnHeaderHyperlinkClick", "drillSuccess", "drillThrough", "load", "renderComplete", "renderFailure", "renderSuccess", "rowHeaderHyperlinkClick", "summaryCellHyperlinkClick", "valueCellHyperlinkClick"];
            ComplexProperties = ["dataSource", "hyperlinkSettings", "serviceMethodSettings"];
            Inputs = core_1.Utils.AngularizeInputs(["analysisMode", "cssClass", "currentReport", "dataSource", "drilledItems", "customObject", "enableCellContext", "enableCellSelection", "enableDrillThrough", "enableCellDoubleClick", "enableCellEditing", "enableCollapseByDefault", "enableColumnGrandTotal", "enableConditionalFormatting", "enableDeferUpdate", "enableGroupingBar", "enableGrandTotal", "enableJSONRendering", "enablePivotFieldList", "enableRowGrandTotal", "enableRTL", "enableToolTip", "enableToolTipAnimation", "enableVirtualScrolling", "hyperlinkSettings", "isNamedSets", "isResponsive", "jsonRecords", "layout", "locale", "operationalMode", "serviceMethodSettings", "url", "dataSource.catalog", "dataSource.cube", "dataSource.data", "dataSource.enableAdvancedFilter", "hyperlinkSettings.enableColumnHeaderHyperlink", "hyperlinkSettings.enableRowHeaderHyperlink", "hyperlinkSettings.enableSummaryCellHyperlink", "hyperlinkSettings.enableValueCellHyperlink", "serviceMethodSettings.drillDown", "serviceMethodSettings.exportPivotGrid", "serviceMethodSettings.deferUpdate", "serviceMethodSettings.fetchMembers", "serviceMethodSettings.filtering", "serviceMethodSettings.initialize", "serviceMethodSettings.nodeDropped", "serviceMethodSettings.nodeStateModified", "serviceMethodSettings.paging", "serviceMethodSettings.sorting", "serviceMethodSettings.memberExpand", "serviceMethodSettings.writeBack", "dataSource.columns", "dataSource.rows", "dataSource.values", "dataSource.filters"], []);
            exports_1("PivotGridComponent", PivotGridComponent = core_1.CreateComponent("PivotGrid", {
                selector: 'ej-pivotgrid',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {}
            }, {
                tags: [],
                twoways: [],
                complexes: ComplexProperties,
            }));
            exports_1("EJ_PIVOTGRID_COMPONENTS", EJ_PIVOTGRID_COMPONENTS = [PivotGridComponent]);
        }
    }
});
//# sourceMappingURL=pivotgrid.component.js.map