import {CreateArrayTagDirective, CreateControlValueAccessor, CreateComplexDirective, CreateComponent, Utils, ContentChild, Type, forwardRef } from './core';

var Outputs = [ "change", "complete", "create", "destroy", "start" ];
var ComplexProperties = [   ];
var Inputs = Utils.AngularizeInputs( [ "cssClass", "enabled", "enablePersistence", "enableRTL", "height", "htmlAttributes", "maxValue", "minValue", "percentage", "showRoundedCorner", "text", "value", "width"  ],[  ]);
export var ProgressBarComponent = CreateComponent("ProgressBar", {
    selector: 'ej-progressbar',
    inputs : Inputs,
    outputs : Outputs,
    template:"",
    queries: {
    }
},{
   tags : [], 
   twoways : [  ],  
   complexes : ComplexProperties,
});

export const EJ_PROGRESSBAR_COMPONENTS: Type<any>[] = [ProgressBarComponent  ]

 
