System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var ItemDirective, ItemsDirective, Outputs, ComplexProperties, Inputs, RadialMenuComponent, EJ_RADIALMENU_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            exports_1("ItemDirective", ItemDirective = core_1.CreateComplexDirective({
                selector: "e-items>e-item",
                inputs: ["imageUrl", "text", "enabled", "click", "badge", "type", "sliderSettings", "items"],
                queries: {}
            }, {
                tags: [],
                type: core_1.forwardRef(function () { return RadialMenuComponent; })
            }));
            exports_1("ItemsDirective", ItemsDirective = core_1.CreateArrayTagDirective("items", 'ej-radialmenu>e-items', ItemDirective));
            Outputs = ["click", "open", "close"];
            ComplexProperties = [];
            Inputs = core_1.Utils.AngularizeInputs(["autoOpen", "backImageClass", "cssClass", "enableAnimation", "imageClass", "radius", "targetElementId", "position", "items"], []);
            exports_1("RadialMenuComponent", RadialMenuComponent = core_1.CreateComponent("RadialMenu", {
                selector: 'ej-radialmenu',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {
                    _items: new core_1.ContentChild(ItemsDirective),
                }
            }, {
                tags: ["items"],
                twoways: [],
                complexes: ComplexProperties,
            }));
            exports_1("EJ_RADIALMENU_COMPONENTS", EJ_RADIALMENU_COMPONENTS = [RadialMenuComponent, ItemsDirective, ItemDirective]);
        }
    }
});
//# sourceMappingURL=radialmenu.component.js.map