System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var Outputs, ComplexProperties, Inputs, RadialSliderComponent, EJ_RADIALSLIDER_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            Outputs = ["change", "create", "mouseover", "slide", "start", "stop", "model.valueChange: valueChange"];
            ComplexProperties = [];
            Inputs = core_1.Utils.AngularizeInputs(["autoOpen", "cssClass", "enableAnimation", "enableRoundOff", "endAngle", "inline", "innerCircleImageClass", "innerCircleImageUrl", "labelSpace", "radius", "showInnerCircle", "startAngle", "strokeWidth", "ticks"], ["value"]);
            exports_1("RadialSliderComponent", RadialSliderComponent = core_1.CreateComponent("RadialSlider", {
                selector: 'ej-radialslider',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {}
            }, {
                tags: [],
                twoways: ["value"],
                complexes: ComplexProperties,
            }));
            exports_1("EJ_RADIALSLIDER_COMPONENTS", EJ_RADIALSLIDER_COMPONENTS = [RadialSliderComponent]);
        }
    }
});
//# sourceMappingURL=radialslider.component.js.map