System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var Outputs, ComplexProperties, Inputs, RadioButtonComponent, RadioButtonValueAccessor, EJ_RADIOBUTTON_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            Outputs = ["beforeChange", "change", "create", "destroy"];
            ComplexProperties = [];
            Inputs = core_1.Utils.AngularizeInputs(["checked", "cssClass", "enabled", "enablePersistence", "enableRTL", "htmlAttributes", "id", "idPrefix", "name", "size", "text", "validationMessage", "validationRules", "value"], []);
            exports_1("RadioButtonComponent", RadioButtonComponent = core_1.CreateComponent("RadioButton", {
                selector: '[ej-radiobutton]',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {}
            }, {
                tags: [],
                twoways: [],
                complexes: ComplexProperties,
            }));
            exports_1("RadioButtonValueAccessor", RadioButtonValueAccessor = core_1.CreateControlValueAccessor("[ej-radiobutton]", RadioButtonComponent));
            exports_1("EJ_RADIOBUTTON_COMPONENTS", EJ_RADIOBUTTON_COMPONENTS = [RadioButtonComponent, RadioButtonValueAccessor]);
        }
    }
});
//# sourceMappingURL=radiobutton.component.js.map