System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var Outputs, ComplexProperties, Inputs, RatingComponent, EJ_RATING_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            Outputs = ["change", "click", "create", "destroy", "mouseout", "mouseover", "model.valueChange: valueChange"];
            ComplexProperties = [];
            Inputs = core_1.Utils.AngularizeInputs(["allowReset", "cssClass", "enabled", "enablePersistence", "height", "htmlAttributes", "incrementStep", "maxValue", "minValue", "orientation", "precision", "readOnly", "shapeHeight", "shapeWidth", "showTooltip", "width"], ["value"]);
            exports_1("RatingComponent", RatingComponent = core_1.CreateComponent("Rating", {
                selector: 'ej-rating',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {}
            }, {
                tags: [],
                twoways: ["value"],
                complexes: ComplexProperties,
            }));
            exports_1("EJ_RATING_COMPONENTS", EJ_RATING_COMPONENTS = [RatingComponent]);
        }
    }
});
//# sourceMappingURL=rating.component.js.map