System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var Outputs, ComplexProperties, Inputs, RotatorComponent, EJ_ROTATOR_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            Outputs = ["change", "create", "destroy", "pagerClick", "start", "stop", "thumbItemClick"];
            ComplexProperties = ["fields"];
            Inputs = core_1.Utils.AngularizeInputs(["allowKeyboardNavigation", "animationSpeed", "animationType", "circularMode", "cssClass", "dataSource", "delay", "displayItemsCount", "enableAutoPlay", "enabled", "enableRTL", "fields", "frameSpace", "isResponsive", "navigateSteps", "orientation", "pagerPosition", "query", "showCaption", "showNavigateButton", "showPager", "showPlayButton", "showThumbnail", "slideHeight", "slideWidth", "startIndex", "stopOnHover", "template", "thumbnailSourceID", "fields.linkAttribute", "fields.targetAttribute", "fields.text", "fields.thumbnailText", "fields.thumbnailUrl", "fields.url"], []);
            exports_1("RotatorComponent", RotatorComponent = core_1.CreateComponent("Rotator", {
                selector: '[ej-rotator]',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {}
            }, {
                tags: [],
                twoways: [],
                complexes: ComplexProperties,
            }));
            exports_1("EJ_ROTATOR_COMPONENTS", EJ_ROTATOR_COMPONENTS = [RotatorComponent]);
        }
    }
});
//# sourceMappingURL=rotator.component.js.map