import {CreateArrayTagDirective, CreateControlValueAccessor, CreateComplexDirective, CreateComponent, Utils, ContentChild, Type, forwardRef } from './core';

var Outputs = [ "change", "create", "destroy", "pagerClick", "start", "stop", "thumbItemClick" ];
var ComplexProperties = [ "fields"  ];
var Inputs = Utils.AngularizeInputs( [ "allowKeyboardNavigation", "animationSpeed", "animationType", "circularMode", "cssClass", "dataSource", "delay", "displayItemsCount", "enableAutoPlay", "enabled", "enableRTL", "fields", "frameSpace", "isResponsive", "navigateSteps", "orientation", "pagerPosition", "query", "showCaption", "showNavigateButton", "showPager", "showPlayButton", "showThumbnail", "slideHeight", "slideWidth", "startIndex", "stopOnHover", "template", "thumbnailSourceID", "fields.linkAttribute", "fields.targetAttribute", "fields.text", "fields.thumbnailText", "fields.thumbnailUrl", "fields.url"  ],[  ]);
export var RotatorComponent = CreateComponent("Rotator", {
    selector: '[ej-rotator]',
    inputs : Inputs,
    outputs : Outputs,
    template:"",
    queries: {
    }
},{
   tags : [], 
   twoways : [  ],  
   complexes : ComplexProperties,
});

export const EJ_ROTATOR_COMPONENTS: Type<any>[] = [RotatorComponent  ]

 
