System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var Outputs, ComplexProperties, Inputs, RTEComponent, RTEValueAccessor, EJ_RTE_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            Outputs = ["change", "create", "contextMenuClick", "destroy", "execute", "keydown", "keyup", "preRender", "select", "model.valueChange: valueChange"];
            ComplexProperties = ["fileBrowser", "imageBrowser", "tools"];
            Inputs = core_1.Utils.AngularizeInputs(["allowEditing", "allowKeyboardNavigation", "autoFocus", "autoHeight", "colorCode", "colorPaletteColumns", "colorPaletteRows", "cssClass", "enabled", "enableHtmlEncode", "enablePersistence", "enableResize", "enableRTL", "enableXHTML", "enableTabKeyNavigation", "externalCSS", "fileBrowser", "fontName", "fontSize", "format", "height", "htmlAttributes", "iframeAttributes", "imageBrowser", "isResponsive", "locale", "maxHeight", "maxLength", "maxWidth", "minHeight", "minWidth", "name", "showClearAll", "showClearFormat", "showCustomTable", "showContextMenu", "showDimensions", "showFontOption", "showFooter", "showHtmlSource", "showHtmlTagInfo", "showToolbar", "showCharCount", "showRoundedCorner", "showWordCount", "tableColumns", "tableRows", "tools", "toolsList", "tooltipSettings", "undoStackLimit", "validationRules", "validationMessage", "width", "zoomStep", "fileBrowser.ajaxAction", "fileBrowser.extensionAllow", "fileBrowser.filePath", "imageBrowser.ajaxAction", "imageBrowser.extensionAllow", "imageBrowser.filePath", "tools.alignment", "tools.casing", "tools.clear", "tools.clipboard", "tools.edit", "tools.doAction", "tools.effects", "tools.font", "tools.formatStyle", "tools.images", "tools.indenting", "tools.links", "tools.lists", "tools.media", "tools.style", "tools.tables", "tools.view", "tools.print", "tools.customOrderedList", "tools.customUnorderedList"], ["value"]);
            exports_1("RTEComponent", RTEComponent = core_1.CreateComponent("RTE", {
                selector: '[ej-rte]',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {}
            }, {
                tags: [],
                twoways: ["value"],
                complexes: ComplexProperties,
            }));
            exports_1("RTEValueAccessor", RTEValueAccessor = core_1.CreateControlValueAccessor("[ej-rte]", RTEComponent));
            exports_1("EJ_RTE_COMPONENTS", EJ_RTE_COMPONENTS = [RTEComponent, RTEValueAccessor]);
        }
    }
});
//# sourceMappingURL=rte.component.js.map