import {CreateArrayTagDirective, CreateControlValueAccessor, CreateComplexDirective, CreateComponent, Utils, ContentChild, Type, forwardRef } from './core';

var Outputs = [ "create", "destroy", "wheelStart", "wheelMove", "wheelStop" ];
var ComplexProperties = [   ];
var Inputs = Utils.AngularizeInputs( [ "animationSpeed", "autoHide", "buttonSize", "enabled", "enablePersistence", "enableRTL", "enableTouchScroll", "height", "scrollerSize", "scrollLeft", "scrollOneStepBy", "scrollTop", "targetPane", "width"  ],[  ]);
export var ScrollerComponent = CreateComponent("Scroller", {
    selector: 'ej-scroller',
    inputs : Inputs,
    outputs : Outputs,
    template:"<ng-content></ng-content>",
    queries: {
    }
},{
   tags : [], 
   twoways : [  ],  
   complexes : ComplexProperties,
});

export const EJ_SCROLLER_COMPONENTS: Type<any>[] = [ScrollerComponent  ]

 
