System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var Outputs, ComplexProperties, Inputs, SparklineComponent, EJ_SPARKLINE_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            Outputs = ["load", "loaded", "tooltipInitialize", "seriesRendering", "pointRegionMouseMove", "pointRegionMouseClick", "sparklineMouseMove", "sparklineMouseLeave"];
            ComplexProperties = ["border", "rangeBandSettings", "tooltip", "markerSettings", "size", "axisLineSettings", "tooltip.border", "tooltip.font", "markerSettings.border"];
            Inputs = core_1.Utils.AngularizeInputs(["background", "fill", "stroke", "border", "width", "opacity", "highPointColor", "lowPointColor", "startPointColor", "endPointColor", "negativePointColor", "rangeBandSettings", "palette", "isResponsive", "enableCanvasRendering", "dataSource", "xName", "yName", "padding", "type", "theme", "tooltip", "markerSettings", "size", "axisLineSettings", "border.color", "border.width", "rangeBandSettings.startRange", "rangeBandSettings.endRange", "rangeBandSettings.opacity", "rangeBandSettings.color", "tooltip.visible", "tooltip.fill", "tooltip.template", "tooltip.border", "tooltip.border.color", "tooltip.border.width", "tooltip.font", "tooltip.font.color", "tooltip.font.fontFamily", "tooltip.font.fontStyle", "tooltip.font.fontWeight", "tooltip.font.opacity", "tooltip.font.size", "markerSettings.opacity", "markerSettings.visible", "markerSettings.width", "markerSettings.fill", "markerSettings.border", "markerSettings.border.color", "markerSettings.border.opacity", "markerSettings.border.width", "size.height", "size.width", "axisLineSettings.visible", "axisLineSettings.color", "axisLineSettings.width", "axisLineSettings.dashArray"], []);
            exports_1("SparklineComponent", SparklineComponent = core_1.CreateComponent("Sparkline", {
                selector: 'ej-sparkline',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {}
            }, {
                tags: [],
                twoways: [],
                complexes: ComplexProperties,
            }));
            exports_1("EJ_SPARKLINE_COMPONENTS", EJ_SPARKLINE_COMPONENTS = [SparklineComponent]);
        }
    }
});
//# sourceMappingURL=sparkline.component.js.map