import {CreateArrayTagDirective, CreateControlValueAccessor, CreateComplexDirective, CreateComponent, Utils, ContentChild, Type, forwardRef } from './core';

var Outputs = [ "click", "create", "destroy", "mouseout", "mouseover" ];
var ComplexProperties = [ "fields"  ];
var Inputs = Utils.AngularizeInputs( [ "cssClass", "dataSource", "enableRTL", "fields", "htmlAttributes", "format", "maxFontSize", "minFontSize", "query", "showTitle", "titleImage", "titleText", "fields.frequency", "fields.htmlAttributes", "fields.text", "fields.url"  ],[  ]);
export var TagCloudComponent = CreateComponent("TagCloud", {
    selector: 'ej-tagcloud',
    inputs : Inputs,
    outputs : Outputs,
    template:"",
    queries: {
    }
},{
   tags : [], 
   twoways : [  ],  
   complexes : ComplexProperties,
});

export const EJ_TAGCLOUD_COMPONENTS: Type<any>[] = [TagCloudComponent  ]

 
