System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var Outputs, ComplexProperties, Inputs, TimePickerComponent, TimePickerValueAccessor, EJ_TIMEPICKER_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            Outputs = ["beforeChange", "beforeOpen", "change", "close", "create", "destroy", "focusIn", "focusOut", "open", "select"];
            ComplexProperties = [];
            Inputs = core_1.Utils.AngularizeInputs(["cssClass", "disableTimeRanges", "enableAnimation", "enabled", "enablePersistence", "enableRTL", "enableStrictMode", "height", "hourInterval", "htmlAttributes", "interval", "locale", "maxTime", "minTime", "minutesInterval", "popupHeight", "popupWidth", "readOnly", "secondsInterval", "showPopupButton", "showRoundedCorner", "timeFormat", "value", "width"], []);
            exports_1("TimePickerComponent", TimePickerComponent = core_1.CreateComponent("TimePicker", {
                selector: '[ej-timepicker]',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {}
            }, {
                tags: [],
                twoways: [],
                complexes: ComplexProperties,
            }));
            exports_1("TimePickerValueAccessor", TimePickerValueAccessor = core_1.CreateControlValueAccessor("[ej-timepicker]", TimePickerComponent));
            exports_1("EJ_TIMEPICKER_COMPONENTS", EJ_TIMEPICKER_COMPONENTS = [TimePickerComponent, TimePickerValueAccessor]);
        }
    }
});
//# sourceMappingURL=timepicker.component.js.map