import {CreateArrayTagDirective, CreateControlValueAccessor, CreateComplexDirective, CreateComponent, Utils, ContentChild, Type, forwardRef } from './core';

var Outputs = [ "click", "create", "focusOut", "destroy", "itemHover", "itemLeave" ];
var ComplexProperties = [   ];
var Inputs = Utils.AngularizeInputs( [ "cssClass", "dataSource", "enabled", "enableRTL", "enableSeparator", "fields", "height", "htmlAttributes", "hide", "isResponsive", "orientation", "query", "showRoundedCorner", "width", "fields.group", "fields.htmlAttributes", "fields.id", "fields.imageAttributes", "fields.imageUrl", "fields.spriteCssClass", "fields.text", "fields.tooltipText"  ],[  ]);
export var ToolbarComponent = CreateComponent("Toolbar", {
    selector: 'ej-toolbar',
    inputs : Inputs,
    outputs : Outputs,
    template:"",
    queries: {
    }
},{
   tags : [], 
   twoways : [  ],  
   complexes : ComplexProperties,
});

export const EJ_TOOLBAR_COMPONENTS: Type<any>[] = [ToolbarComponent  ]

 
