System.register(['@angular/core', '../../services/chartdata.service'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var core_1, chartdata_service_1;
    var ChartComponent;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (chartdata_service_1_1) {
                chartdata_service_1 = chartdata_service_1_1;
            }],
        execute: function() {
            ChartComponent = (function () {
                function ChartComponent(chartDataService) {
                    this.chartDataService = chartDataService;
                    this.chartData = chartDataService.getInformation();
                }
                ChartComponent.prototype.onchartload = function (sender) {
                    if (!ej.util.isNullOrUndefined(window.orientation) && sender) {
                        var model = sender.model, seriesLength = model.series.length;
                        model.title.enableTrim = true;
                        model.elementSpacing = 5;
                        model.legend.visible = false;
                        model.size.height = null;
                        model.size.width = null;
                        for (var i = 0; i < seriesLength; i++) {
                            if (!model.series[i].marker)
                                model.series[i].marker = {};
                            if (!model.series[i].marker.size)
                                model.series[i].marker.size = {};
                            model.series[i].marker.size.width = 6;
                            model.series[i].marker.size.height = 6;
                        }
                        model.primaryXAxis.labelIntersectAction = "rotate45";
                        if (model.primaryXAxis.title)
                            model.primaryXAxis.title.text = "";
                        model.primaryXAxis.edgeLabelPlacement = "hide";
                        model.primaryYAxis.labelIntersectAction = "rotate45";
                        if (model.primaryXAxis.title)
                            model.primaryYAxis.title.text = "";
                        model.primaryYAxis.edgeLabelPlacement = "hide";
                        if (model.axes) {
                            for (var j = 0; j < model.axes.length; j++) {
                                model.axes[j].labelIntersectAction = "rotate45";
                                if (model.axes[j].title)
                                    model.axes[j].title.text = "";
                                model.axes[j].edgeLabelPlacement = "hide";
                            }
                        }
                    }
                };
                ChartComponent = __decorate([
                    core_1.Component({
                        selector: 'sd-home',
                        templateUrl: 'app/components/chart/chart.component.html',
                        providers: [chartdata_service_1.ChartDataService]
                    }), 
                    __metadata('design:paramtypes', [chartdata_service_1.ChartDataService])
                ], ChartComponent);
                return ChartComponent;
            }());
            exports_1("ChartComponent", ChartComponent);
        }
    }
});
//# sourceMappingURL=chart.component.js.map