import {Component} from '@angular/core';
import {NorthwindService} from '../../services/northwind.service';


@Component({
    selector: 'ej-app',    
    templateUrl: 'app/components/grid/grid.component.html',
    styles:['.e-grid{position:inherit !important'],
    providers:[NorthwindService]
})
export class GridComponent {
    public gridData:any;
    public dataManager:any;
    public value:any;
    constructor(private service:NorthwindService)
    {
         
         this.gridData = service.getOrders();
         this.value = new Date();
    }
}

