System.register(['@angular/core', '../../services/mapdata.service'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var core_1, mapdata_service_1;
    var MapComponent;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (mapdata_service_1_1) {
                mapdata_service_1 = mapdata_service_1_1;
            }],
        execute: function() {
            MapComponent = (function () {
                function MapComponent(mapDataService) {
                    this.mapDataService = mapDataService;
                    this.enableanimation = true;
                    this.usmap = mapDataService.usMap();
                    this.enableselection = true;
                    this.enablemousehover = true;
                    this.shapedatapath = "State";
                    this.shapepropertypath = "name";
                    this.showmapitems = false;
                    this.electiondata = mapDataService.electiondata();
                    this.legendsettings = {
                        showLegend: true,
                        position: "bottomleft",
                        height: 60,
                        width: 220,
                        mode: "default",
                    };
                    this.shapesettings = { highlightBorderWidth: 1,
                        strokeThickness: 0.5,
                        autoFill: false,
                        stroke: "white",
                        highlightStroke: "white",
                        highlightColor: "#AFAFAF",
                        valuePath: "Electors",
                        colorValuePath: "Candidate",
                        selectionColor: "#EFB856",
                        selectionStroke: "White",
                        selectionStrokeWidth: 2.5,
                        colorMappings: {
                            equalColorMapping: [
                                { value: "Romney", color: "#D84444" },
                                { value: "Obama", color: "#316DB5" }
                            ]
                        }
                    };
                }
                MapComponent = __decorate([
                    core_1.Component({
                        selector: 'sd-home',
                        templateUrl: 'app/components/map/map.component.html',
                        styleUrls: ['app/components/map/map.component.css'],
                        providers: [mapdata_service_1.MapDataService]
                    }), 
                    __metadata('design:paramtypes', [mapdata_service_1.MapDataService])
                ], MapComponent);
                return MapComponent;
            }());
            exports_1("MapComponent", MapComponent);
        }
    }
});
//# sourceMappingURL=map.component.js.map