import {Component} from '@angular/core';
import {PivotDataService} from '../../services/pivotdata.service';

@Component({
  selector: 'sd-home',
  templateUrl: 'app/components/pivotgauge/pivotgauge.component.html',
  styleUrls: ['app/components/pivotgauge/pivotgauge.component.css'],
  providers:[PivotDataService]
})
export class PivotGaugeComponent {
    public data; rows; columns;values; scales;  
    constructor(public pivotdataservice: PivotDataService) {
      this.data = pivotdataservice.pivot_data();
      this.rows = pivotdataservice.pivot_rows();
      this.columns = pivotdataservice.pivot_columns();
      this.values = pivotdataservice.pivot_values();
      this.scales = pivotdataservice.scales();
    }
}