System.register(['@angular/core', '../../services/northwind.service'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var core_1, northwind_service_1;
    var RibbonComponent;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (northwind_service_1_1) {
                northwind_service_1 = northwind_service_1_1;
            }],
        execute: function() {
            RibbonComponent = (function () {
                function RibbonComponent(northwindService) {
                    this.northwindService = northwindService;
                    this.defaults = { type: "button", width: "60", height: "70" };
                    this.buttonSettings = { contentType: "imageonly", imagePosition: "imagetop", prefixIcon: "e-ribbon e-icon e-new" };
                    this.groups1 = [{ text: "New", alignType: "rows", content: [{ groups: [{ id: "new", text: "New", toolTip: "New", buttonSettings: { contentType: "imageonly", imagePosition: "imagetop", prefixIcon: "e-ribbon e-icon e-new" } }], defaults: { type: "button", width: "50", height: "70", isBig: "true" } }] }, { text: "Clipboard", alignType: "columns", enableGroupExpander: "true", content: [{ groups: [{ id: "paste", text: "Paste", toolTip: "Paste", buttonSettings: { contentType: "imageonly", imagePosition: "imagetop", prefixIcon: "e-ribbon e-icon e-ribbonpaste" } }], defaults: { type: "button", width: "50", height: "70", isBig: "true" } },
                                { groups: [{ id: "cut", text: "Cut", toolTip: "Cut", buttonSettings: { contentType: "textandimage", prefixIcon: "e-ribbon e-icon e-ribboncut" } }, { id: "clear", text: "Clear", toolTip: "Clear All", buttonSettings: { contentType: "textandimage", prefixIcon: "e-ribbon e-icon clearAll" } }, { id: "copy", text: "Copy", toolTip: "Copy", buttonSettings: { contentType: "textandimage", prefixIcon: "e-ribbon e-icon e-ribboncopy" } }], defaults: { type: "button", width: "60", height: "25", isBig: "false" } }] },
                        { text: "Font", alignType: "rows", content: [{ groups: [{ id: "bold", toolTip: "Bold", type: "togglebutton", toggleButtonSettings: { contentType: "imageonly", defaultText: "Bold", activeText: "Bold", defaultPrefixIcon: "e-ribbon e-icon bold", activePrefixIcon: "e-ribbon e-icon bold" } }, { id: "italic", toolTip: "Italic", type: "togglebutton", toggleButtonSettings: { contentType: "imageonly", defaultText: "Italic", activeText: "Italic", defaultPrefixIcon: "e-ribbon e-icon e-ribbonitalic", activePrefixIcon: "e-ribbon e-icon e-ribbonitalic" } }, { id: "underline", toolTip: "Underline", type: "togglebutton", toggleButtonSettings: { contentType: "imageonly", defaultText: "Underline", activeText: "Underline", defaultPrefixIcon: "e-ribbon e-icon e-ribbonunderline", activePrefixIcon: "e-ribbon e-icon e-ribbonunderline" } }] }] }, { text: "Actions", alignType: "rows", content: [{ groups: [{ id: "undo", text: "Undo", toolTip: "Undo", buttonSettings: { contentType: "textandimage", imagePosition: "imagetop", prefixIcon: "e-ribbon e-icon e-undo" } }, { id: "redo", text: "Redo", toolTip: "Redo", buttonSettings: { contentType: "textandimage", imagePosition: "imagetop", prefixIcon: "e-ribbon e-icon e-redo" } }], defaults: { type: "button", width: "40", height: "70", isBig: "true" } }] }, { text: "View", alignType: "rows", content: [{ groups: [{ id: "zoomin", text: "Zoom In", toolTip: "Zoom In", buttonSettings: { contentType: "textandimage", imagePosition: "imagetop", prefixIcon: "e-ribbon e-icon e-zoomin" } }, { id: "zoomout", text: "Zoom Out", toolTip: "Zoom Out", buttonSettings: { contentType: "textandimage", imagePosition: "imagetop", prefixIcon: "e-ribbon e-icon e-zoomout" } }, { id: "fullscreen", text: "Full Screen", toolTip: "Full Screen", buttonSettings: { contentType: "textandimage", imagePosition: "imagetop", prefixIcon: "e-ribbon e-icon e-fullscreen" } }], defaults: { type: "button", width: "73", height: "70", isBig: "true" } }] }];
                    this.insert = [{ text: "Tables", alignType: "columns", content: [{ groups: [{ id: "tables", text: "Tables", toolTip: "Tables", buttonSettings: { contentType: "textandimage", imagePosition: "imagetop", prefixIcon: "e-ribbon e-icon e-table" } }], defaults: { type: "button", width: 50, height: 70 } }] },
                        { text: "Illustrations", alignType: "rows", content: [{ groups: [{ id: "pictures", text: "Pictures", toolTip: "Pictures", buttonSettings: { contentType: "textandimage", imagePosition: "imagetop", prefixIcon: "e-ribbon e-icon e-picture" } }, { id: "videos", text: "Videos", toolTip: "Videos", buttonSettings: { contentType: "textandimage", imagePosition: "imagetop", prefixIcon: "e-ribbon e-icon e-video" } }, { id: "shapes", text: "Shapes", toolTip: "Shapes", buttonSettings: { contentType: "textandimage", imagePosition: "imagetop", prefixIcon: "e-ribbon e-icon e-shape" } }, { id: "chart", text: "Charts", toolTip: "Charts", buttonSettings: { contentType: "textandimage", imagePosition: "imagetop", prefixIcon: "e-ribbon e-icon e-chart" } }], defaults: { type: "button", width: 50, height: 70 } }] }, { text: "Comments", alignType: "columns", content: [{ groups: [{ id: "comment", text: "Comments", toolTip: "Comments", buttonSettings: { contentType: "textandimage", imagePosition: "imagetop", prefixIcon: "e-ribbon e-icon e-comment" } }], defaults: { type: "button", width: 70, height: 70 } }] }, { text: "Hyperlink", alignType: "columns", content: [{ groups: [{ id: "hyperlink", text: "Hyperlink", toolTip: "Hyperlink", buttonSettings: { contentType: "textandimage", imagePosition: "imagetop", prefixIcon: "e-ribbon e-icon e-hyperlink" } }], defaults: { type: "button", width: 70, height: 70 } }] }, { text: "Equation", alignType: "columns", content: [{ groups: [{ id: "equation", text: "Equation", toolTip: "Equation", buttonSettings: { contentType: "textandimage", imagePosition: "imagetop", prefixIcon: "e-ribbon e-icon e-equation" } }], defaults: { type: "button", width: 70, height: 70 } }] }];
                }
                RibbonComponent = __decorate([
                    core_1.Component({
                        selector: 'sd-home',
                        templateUrl: 'app/components/ribbon/ribbon.component.html',
                        providers: [northwind_service_1.NorthwindService]
                    }), 
                    __metadata('design:paramtypes', [northwind_service_1.NorthwindService])
                ], RibbonComponent);
                return RibbonComponent;
            }());
            exports_1("RibbonComponent", RibbonComponent);
        }
    }
});
//# sourceMappingURL=ribbon.component.js.map