System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var Outputs, ComplexProperties, Inputs, ColorPickerComponent, ColorPickerValueAccessor, EJ_COLORPICKER_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            Outputs = ["change", "close", "create", "destroy", "open", "select", "model.valueChange: valueChange", "model.opacityValueChange: opacityValueChange"];
            ComplexProperties = ["buttonText", "tooltipText"];
            Inputs = core_1.Utils.AngularizeInputs(["buttonText", "buttonMode", "columns", "cssClass", "custom", "displayInline", "enabled", "enableOpacity", "htmlAttributes", "modelType", "palette", "presetType", "showApplyCancel", "showClearButton", "showPreview", "showRecentColors", "showSwitcher", "showTooltip", "toolIcon", "tooltipText", "buttonText.apply", "buttonText.cancel", "buttonText.swatches", "tooltipText.switcher", "tooltipText.addbutton", "tooltipText.basic", "tooltipText.monochrome", "tooltipText.flatcolors", "tooltipText.seawolf", "tooltipText.webcolors", "tooltipText.sandy", "tooltipText.pinkshades", "tooltipText.misty", "tooltipText.citrus", "tooltipText.vintage", "tooltipText.moonlight", "tooltipText.candycrush", "tooltipText.currentcolor", "tooltipText.selectedcolor"], ["value", "opacityValue"]);
            exports_1("ColorPickerComponent", ColorPickerComponent = core_1.CreateComponent("ColorPicker", {
                selector: '[ej-colorpicker]',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {}
            }, {
                tags: [],
                twoways: ["value", "opacityValue"],
                complexes: ComplexProperties,
            }));
            exports_1("ColorPickerValueAccessor", ColorPickerValueAccessor = core_1.CreateControlValueAccessor("[ej-colorpicker]", ColorPickerComponent));
            exports_1("EJ_COLORPICKER_COMPONENTS", EJ_COLORPICKER_COMPONENTS = [ColorPickerComponent, ColorPickerValueAccessor]);
        }
    }
});
//# sourceMappingURL=colorpicker.component.js.map