System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var Outputs, ComplexProperties, Inputs, CurrencyTextboxComponent, CurrencyTextboxValueAccessor, EJ_CURRENCYTEXTBOX_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            Outputs = ["change", "create", "destroy", "focusIn", "focusOut"];
            ComplexProperties = [];
            Inputs = core_1.Utils.AngularizeInputs(["cssClass", "decimalPlaces", "enabled", "enablePersistence", "enableRTL", "enableStrictMode", "groupSize", "groupSeparator", "height", "htmlAttributes", "incrementStep", "locale", "maxValue", "minValue", "name", "negativePattern", "positivePattern", "readOnly", "showRoundedCorner", "showSpinButton", "validateOnType", "validationMessage", "validationRules", "value", "watermarkText", "width"], []);
            exports_1("CurrencyTextboxComponent", CurrencyTextboxComponent = core_1.CreateComponent("CurrencyTextbox", {
                selector: '[ej-currencytextbox]',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {}
            }, {
                tags: [],
                twoways: [],
                complexes: ComplexProperties,
            }));
            exports_1("CurrencyTextboxValueAccessor", CurrencyTextboxValueAccessor = core_1.CreateControlValueAccessor("[ej-currencytextbox]", CurrencyTextboxComponent));
            exports_1("EJ_CURRENCYTEXTBOX_COMPONENTS", EJ_CURRENCYTEXTBOX_COMPONENTS = [CurrencyTextboxComponent, CurrencyTextboxValueAccessor]);
        }
    }
});
//# sourceMappingURL=currencytextbox.component.js.map