import {CreateArrayTagDirective, CreateControlValueAccessor, CreateComplexDirective, CreateComponent, Utils, ContentChild, Type, forwardRef } from './core';

var Outputs = [ "change", "create", "destroy", "focusIn", "focusOut" ];
var ComplexProperties = [   ];
var Inputs = Utils.AngularizeInputs( [ "cssClass", "decimalPlaces", "enabled", "enablePersistence", "enableRTL", "enableStrictMode", "groupSize", "groupSeparator", "height", "htmlAttributes", "incrementStep", "locale", "maxValue", "minValue", "name", "negativePattern", "positivePattern", "readOnly", "showRoundedCorner", "showSpinButton", "validateOnType", "validationMessage", "validationRules", "value", "watermarkText", "width"  ],[  ]);
export var CurrencyTextboxComponent = CreateComponent("CurrencyTextbox", {
    selector: '[ej-currencytextbox]',
    inputs : Inputs,
    outputs : Outputs,
    template:"",
    queries: {
    }
},{
   tags : [], 
   twoways : [  ],  
   complexes : ComplexProperties,
});

export var CurrencyTextboxValueAccessor = CreateControlValueAccessor("[ej-currencytextbox]", CurrencyTextboxComponent);
export const EJ_CURRENCYTEXTBOX_COMPONENTS: Type<any>[] = [CurrencyTextboxComponent , CurrencyTextboxValueAccessor ]

 
