System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var Outputs, ComplexProperties, Inputs, FileExplorerComponent, EJ_FILEEXPLORER_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            Outputs = ["beforeAjaxRequest", "beforeDownload", "beforeGetImage", "beforeOpen", "beforeUpload", "create", "copy", "createFolder", "cut", "destroy", "dragStart", "drag", "dragStop", "drop", "getImage", "layoutChange"];
            ComplexProperties = ["contextMenuSettings", "filterSettings", "gridSettings", "uploadSettings"];
            Inputs = core_1.Utils.AngularizeInputs(["ajaxAction", "ajaxDataType", "ajaxSettings", "allowDragAndDrop", "allowMultiSelection", "contextMenuSettings", "cssClass", "enableResize", "enableRTL", "enableThumbnailCompress", "fileTypes", "filterSettings", "gridSettings", "height", "isResponsive", "layout", "locale", "maxHeight", "maxWidth", "minHeight", "minWidth", "path", "selectedFolder", "selectedItems", "showCheckbox", "showContextMenu", "showFooter", "showRoundedCorner", "showThumbnail", "showToolbar", "showNavigationPane", "tools", "toolsList", "uploadSettings", "width", "contextMenuSettings.items", "contextMenuSettings.customMenuFields", "filterSettings.allowSearchOnTyping", "filterSettings.caseSensitiveSearch", "filterSettings.filterType", "gridSettings.allowResizing", "gridSettings.allowSorting", "gridSettings.columns", "uploadSettings.maxFileSize", "uploadSettings.allowMultipleFile", "uploadSettings.autoUpload"], []);
            exports_1("FileExplorerComponent", FileExplorerComponent = core_1.CreateComponent("FileExplorer", {
                selector: 'ej-fileexplorer',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {}
            }, {
                tags: [],
                twoways: [],
                complexes: ComplexProperties,
            }));
            exports_1("EJ_FILEEXPLORER_COMPONENTS", EJ_FILEEXPLORER_COMPONENTS = [FileExplorerComponent]);
        }
    }
});
//# sourceMappingURL=fileexplorer.component.js.map