import {CreateArrayTagDirective, CreateControlValueAccessor, CreateComplexDirective, CreateComponent, Utils, ContentChild, Type, forwardRef } from './core';

var Outputs = [ "ajaxBeforeLoad", "ajaxComplete", "ajaxError", "ajaxSuccess", "load", "loadComplete", "mouseDown", "mouseUp" , "model.dataSourceChange: dataSourceChange"];
var ComplexProperties = [   ];
var Inputs = Utils.AngularizeInputs( [ "cssClass", "enableAjax", "enableCache", "enableCheckMark", "enableFiltering", "enableGroupList", "enablePersistence", "fieldSettings", "headerBackButtonText", "headerTitle", "height", "persistSelection", "preventSelection", "query", "renderTemplate", "selectedItemIndex", "showHeader", "templateId", "width"  ],["dataSource"  ]);
export var ListViewComponent = CreateComponent("ListView", {
    selector: 'ej-listview',
    inputs : Inputs,
    outputs : Outputs,
    template:"",
    queries: {
    }
},{
   tags : [], 
   twoways : ["dataSource"  ],  
   complexes : ComplexProperties,
});

export const EJ_LISTVIEW_COMPONENTS: Type<any>[] = [ListViewComponent  ]

 
