import {CreateArrayTagDirective, CreateControlValueAccessor, CreateComplexDirective, CreateComponent, Utils, ContentChild, Type, forwardRef } from './core';

var Outputs = [ "beforeClose", "open", "swipe" ];
var ComplexProperties = [   ];
var Inputs = Utils.AngularizeInputs( [ "contentId", "cssClass", "direction", "enableListView", "items", "listViewSettings", "position", "targetId", "type", "width"  ],[  ]);
export var NavigationDrawerComponent = CreateComponent("NavigationDrawer", {
    selector: '[ej-navigationdrawer]',
    inputs : Inputs,
    outputs : Outputs,
    template:"<ng-content></ng-content>",
    queries: {
    }
},{
   tags : [], 
   twoways : [  ],  
   complexes : ComplexProperties,
});

export const EJ_NAVIGATIONDRAWER_COMPONENTS: Type<any>[] = [NavigationDrawerComponent  ]

 
