System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var Outputs, ComplexProperties, Inputs, NumericTextboxComponent, NumericTextboxValueAccessor, EJ_NUMERICTEXTBOX_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            Outputs = ["change", "create", "destroy", "focusIn", "focusOut"];
            ComplexProperties = [];
            Inputs = core_1.Utils.AngularizeInputs(["cssClass", "decimalPlaces", "enabled", "enablePersistence", "enableRTL", "enableStrictMode", "groupSize", "groupSeparator", "height", "htmlAttributes", "incrementStep", "locale", "maxValue", "minValue", "name", "negativePattern", "positivePattern", "readOnly", "showRoundedCorner", "showSpinButton", "validateOnType", "validationMessage", "validationRules", "value", "watermarkText", "width"], []);
            exports_1("NumericTextboxComponent", NumericTextboxComponent = core_1.CreateComponent("NumericTextbox", {
                selector: '[ej-numerictextbox]',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {}
            }, {
                tags: [],
                twoways: [],
                complexes: ComplexProperties,
            }));
            exports_1("NumericTextboxValueAccessor", NumericTextboxValueAccessor = core_1.CreateControlValueAccessor("[ej-numerictextbox]", NumericTextboxComponent));
            exports_1("EJ_NUMERICTEXTBOX_COMPONENTS", EJ_NUMERICTEXTBOX_COMPONENTS = [NumericTextboxComponent, NumericTextboxValueAccessor]);
        }
    }
});
//# sourceMappingURL=numerictextbox.component.js.map