import {CreateArrayTagDirective, CreateControlValueAccessor, CreateComplexDirective, CreateComponent, Utils, ContentChild, Type, forwardRef } from './core';

var Outputs = [ "documentLoad", "pageChange", "zoomChange", "hyperlinkClick", "beforePrint", "afterPrint", "destroy" ];
var ComplexProperties = [ "toolbarSettings"  ];
var Inputs = Utils.AngularizeInputs( [ "locale", "toolbarSettings", "toolbarItems", "serviceUrl", "pageCount", "currentPageNumber", "zoomPercentage", "pdfService", "hyperlinkOpenState", "isResponsive", "fileName", "toolbarSettings.showToolTip"  ],[  ]);
export var PdfViewerComponent = CreateComponent("PdfViewer", {
    selector: 'ej-pdfviewer',
    inputs : Inputs,
    outputs : Outputs,
    template:"",
    queries: {
    }
},{
   tags : [], 
   twoways : [  ],  
   complexes : ComplexProperties,
});

export const EJ_PDFVIEWER_COMPONENTS: Type<any>[] = [PdfViewerComponent  ]

 
