import {CreateArrayTagDirective, CreateControlValueAccessor, CreateComplexDirective, CreateComponent, Utils, ContentChild, Type, forwardRef } from './core';

var Outputs = [ "afterServiceInvoke", "beforeServiceInvoke", "load", "renderComplete", "renderFailure", "renderSuccess" ];
var ComplexProperties = [ "dataSource", "labelFormatSettings", "serviceMethodSettings"  ];
var Inputs = Utils.AngularizeInputs( [ "backgroundColor", "columnsCount", "cssClass", "customObject", "dataSource", "enableTooltip", "enableRTL", "isResponsive", "labelFormatSettings", "locale", "rowsCount", "scales", "serviceMethodSettings", "showHeaderLabel", "url", "dataSource.catalog", "dataSource.cube", "dataSource.data", "labelFormatSettings.numberFormat", "labelFormatSettings.decimalPlaces", "labelFormatSettings.prefixText", "labelFormatSettings.suffixText", "serviceMethodSettings.initialize", "dataSource.columns", "dataSource.rows", "dataSource.values", "dataSource.filters"  ],[  ]);
export var PivotGaugeComponent = CreateComponent("PivotGauge", {
    selector: 'ej-pivotgauge',
    inputs : Inputs,
    outputs : Outputs,
    template:"",
    queries: {
    }
},{
   tags : [], 
   twoways : [  ],  
   complexes : ComplexProperties,
});

export const EJ_PIVOTGAUGE_COMPONENTS: Type<any>[] = [PivotGaugeComponent  ]

 
