import {CreateArrayTagDirective, CreateControlValueAccessor, CreateComplexDirective, CreateComponent, Utils, ContentChild, Type, forwardRef } from './core';

var Outputs = [ "afterServiceInvoke", "beforeServiceInvoke", "dragMove" ];
var ComplexProperties = [ "serviceMethod"  ];
var Inputs = Utils.AngularizeInputs( [ "cssClass", "customObject", "enableWrapper", "enableRTL", "showKPI", "showNamedSets", "enableDragDrop", "filters", "height", "locale", "pivotCalculations", "pivotColumns", "pivotControl", "pivotRows", "pivotTableFields", "serviceMethod", "url", "width", "serviceMethod.fetchMembers", "serviceMethod.filtering", "serviceMethod.memberExpand", "serviceMethod.nodeDropped", "serviceMethod.nodeStateModified", "serviceMethod.removeButton"  ],[  ]);
export var PivotSchemaDesignerComponent = CreateComponent("PivotSchemaDesigner", {
    selector: 'ej-pivotschemadesigner',
    inputs : Inputs,
    outputs : Outputs,
    template:"",
    queries: {
    }
},{
   tags : [], 
   twoways : [  ],  
   complexes : ComplexProperties,
});

export const EJ_PIVOTSCHEMADESIGNER_COMPONENTS: Type<any>[] = [PivotSchemaDesignerComponent  ]

 
