import {CreateArrayTagDirective, CreateControlValueAccessor, CreateComplexDirective, CreateComponent, Utils, ContentChild, Type, forwardRef } from './core';

var Outputs = [ "afterServiceInvoke", "beforeServiceInvoke", "drillSuccess", "renderComplete", "renderFailure", "renderSuccess" ];
var ComplexProperties = [ "dataSource", "serviceMethodSettings"  ];
var Inputs = Utils.AngularizeInputs( [ "cssClass", "currentReport", "dataSource", "customObject", "enableRTL", "isResponsive", "locale", "operationalMode", "serviceMethodSettings", "url", "dataSource.catalog", "dataSource.cube", "dataSource.data", "serviceMethodSettings.initialize", "serviceMethodSettings.drillDown", "dataSource.columns", "dataSource.rows", "dataSource.values", "dataSource.filters"  ],[  ]);
export var PivotTreeMapComponent = CreateComponent("PivotTreeMap", {
    selector: 'ej-pivottreemap',
    inputs : Inputs,
    outputs : Outputs,
    template:"",
    queries: {
    }
},{
   tags : [], 
   twoways : [  ],  
   complexes : ComplexProperties,
});

export const EJ_PIVOTTREEMAP_COMPONENTS: Type<any>[] = [PivotTreeMapComponent  ]

 
