import {CreateArrayTagDirective, CreateControlValueAccessor, CreateComplexDirective, CreateComponent, Utils, ContentChild, Type, forwardRef } from './core';

var Outputs = [ "change", "create", "mouseover", "slide", "start", "stop" , "model.valueChange: valueChange"];
var ComplexProperties = [   ];
var Inputs = Utils.AngularizeInputs( [ "autoOpen", "cssClass", "enableAnimation", "enableRoundOff", "endAngle", "inline", "innerCircleImageClass", "innerCircleImageUrl", "labelSpace", "radius", "showInnerCircle", "startAngle", "strokeWidth", "ticks"  ],["value"  ]);
export var RadialSliderComponent = CreateComponent("RadialSlider", {
    selector: 'ej-radialslider',
    inputs : Inputs,
    outputs : Outputs,
    template:"",
    queries: {
    }
},{
   tags : [], 
   twoways : ["value"  ],  
   complexes : ComplexProperties,
});

export const EJ_RADIALSLIDER_COMPONENTS: Type<any>[] = [RadialSliderComponent  ]

 
