import {CreateArrayTagDirective, CreateControlValueAccessor, CreateComplexDirective, CreateComponent, Utils, ContentChild, Type, forwardRef } from './core';

var Outputs = [ "beforeChange", "change", "create", "destroy" ];
var ComplexProperties = [   ];
var Inputs = Utils.AngularizeInputs( [ "checked", "cssClass", "enabled", "enablePersistence", "enableRTL", "htmlAttributes", "id", "idPrefix", "name", "size", "text", "validationMessage", "validationRules", "value"  ],[  ]);
export var RadioButtonComponent = CreateComponent("RadioButton", {
    selector: '[ej-radiobutton]',
    inputs : Inputs,
    outputs : Outputs,
    template:"",
    queries: {
    }
},{
   tags : [], 
   twoways : [  ],  
   complexes : ComplexProperties,
});

export var RadioButtonValueAccessor = CreateControlValueAccessor("[ej-radiobutton]", RadioButtonComponent);
export const EJ_RADIOBUTTON_COMPONENTS: Type<any>[] = [RadioButtonComponent , RadioButtonValueAccessor ]

 
