import {CreateArrayTagDirective, CreateControlValueAccessor, CreateComplexDirective, CreateComponent, Utils, ContentChild, Type, forwardRef } from './core';

var Outputs = [ "change", "click", "create", "destroy", "mouseout", "mouseover" , "model.valueChange: valueChange"];
var ComplexProperties = [   ];
var Inputs = Utils.AngularizeInputs( [ "allowReset", "cssClass", "enabled", "enablePersistence", "height", "htmlAttributes", "incrementStep", "maxValue", "minValue", "orientation", "precision", "readOnly", "shapeHeight", "shapeWidth", "showTooltip", "width"  ],["value"  ]);
export var RatingComponent = CreateComponent("Rating", {
    selector: 'ej-rating',
    inputs : Inputs,
    outputs : Outputs,
    template:"",
    queries: {
    }
},{
   tags : [], 
   twoways : ["value"  ],  
   complexes : ComplexProperties,
});

export const EJ_RATING_COMPONENTS: Type<any>[] = [RatingComponent  ]

 
