System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var Outputs, ComplexProperties, Inputs, ReportViewerComponent, EJ_REPORTVIEWER_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            Outputs = ["destroy", "drillThrough", "renderingBegin", "renderingComplete", "reportError", "reportExport", "reportLoaded", "viewReportClick"];
            ComplexProperties = ["exportSettings", "pageSettings", "toolbarSettings"];
            Inputs = core_1.Utils.AngularizeInputs(["enablePageCache", "exportSettings", "isResponsive", "locale", "pageSettings", "printMode", "printOptions", "processingMode", "renderMode", "reportPath", "reportServerUrl", "reportServiceUrl", "toolbarSettings", "zoomFactor", "exportSettings.exportOptions", "exportSettings.excelFormat", "exportSettings.wordFormat", "pageSettings.orientation", "pageSettings.paperSize", "toolbarSettings.click", "toolbarSettings.items", "toolbarSettings.showToolbar", "toolbarSettings.showTooltip", "toolbarSettings.templateId", "dataSources", "parameters"], []);
            exports_1("ReportViewerComponent", ReportViewerComponent = core_1.CreateComponent("ReportViewer", {
                selector: 'ej-reportviewer',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {}
            }, {
                tags: [],
                twoways: [],
                complexes: ComplexProperties,
            }));
            exports_1("EJ_REPORTVIEWER_COMPONENTS", EJ_REPORTVIEWER_COMPONENTS = [ReportViewerComponent]);
        }
    }
});
//# sourceMappingURL=reportviewer.component.js.map