System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var Outputs, ComplexProperties, Inputs, ScrollerComponent, EJ_SCROLLER_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            Outputs = ["create", "destroy", "wheelStart", "wheelMove", "wheelStop"];
            ComplexProperties = [];
            Inputs = core_1.Utils.AngularizeInputs(["animationSpeed", "autoHide", "buttonSize", "enabled", "enablePersistence", "enableRTL", "enableTouchScroll", "height", "scrollerSize", "scrollLeft", "scrollOneStepBy", "scrollTop", "targetPane", "width"], []);
            exports_1("ScrollerComponent", ScrollerComponent = core_1.CreateComponent("Scroller", {
                selector: 'ej-scroller',
                inputs: Inputs,
                outputs: Outputs,
                template: "<ng-content></ng-content>",
                queries: {}
            }, {
                tags: [],
                twoways: [],
                complexes: ComplexProperties,
            }));
            exports_1("EJ_SCROLLER_COMPONENTS", EJ_SCROLLER_COMPONENTS = [ScrollerComponent]);
        }
    }
});
//# sourceMappingURL=scroller.component.js.map