System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var Outputs, ComplexProperties, Inputs, SliderComponent, EJ_SLIDER_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            Outputs = ["change", "create", "destroy", "slide", "start", "stop", "tooltipChange", "model.valueChange: valueChange"];
            ComplexProperties = [];
            Inputs = core_1.Utils.AngularizeInputs(["allowMouseWheel", "animationSpeed", "cssClass", "enableAnimation", "enabled", "enablePersistence", "enableRTL", "height", "htmlAttributes", "incrementStep", "largeStep", "maxValue", "minValue", "orientation", "readOnly", "showRoundedCorner", "showScale", "showSmallTicks", "showTooltip", "sliderType", "smallStep", "values", "width"], ["value"]);
            exports_1("SliderComponent", SliderComponent = core_1.CreateComponent("Slider", {
                selector: 'ej-slider',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {}
            }, {
                tags: [],
                twoways: ["value"],
                complexes: ComplexProperties,
            }));
            exports_1("EJ_SLIDER_COMPONENTS", EJ_SLIDER_COMPONENTS = [SliderComponent]);
        }
    }
});
//# sourceMappingURL=slider.component.js.map