import {CreateArrayTagDirective, CreateControlValueAccessor, CreateComplexDirective, CreateComponent, Utils, ContentChild, Type, forwardRef } from './core';

var Outputs = [ "change", "create", "destroy", "slide", "start", "stop", "tooltipChange" , "model.valueChange: valueChange"];
var ComplexProperties = [   ];
var Inputs = Utils.AngularizeInputs( [ "allowMouseWheel", "animationSpeed", "cssClass", "enableAnimation", "enabled", "enablePersistence", "enableRTL", "height", "htmlAttributes", "incrementStep", "largeStep", "maxValue", "minValue", "orientation", "readOnly", "showRoundedCorner", "showScale", "showSmallTicks", "showTooltip", "sliderType", "smallStep", "values", "width"  ],["value"  ]);
export var SliderComponent = CreateComponent("Slider", {
    selector: 'ej-slider',
    inputs : Inputs,
    outputs : Outputs,
    template:"",
    queries: {
    }
},{
   tags : [], 
   twoways : ["value"  ],  
   complexes : ComplexProperties,
});

export const EJ_SLIDER_COMPONENTS: Type<any>[] = [SliderComponent  ]

 
