import {CreateArrayTagDirective, CreateControlValueAccessor, CreateComplexDirective, CreateComponent, Utils, ContentChild, Type, forwardRef } from './core';

var Outputs = [ "beforeExpandCollapse", "create", "destroy", "expandCollapse", "resize" ];
var ComplexProperties = [   ];
var Inputs = Utils.AngularizeInputs( [ "allowKeyboardNavigation", "animationSpeed", "cssClass", "enableAnimation", "enableRTL", "height", "htmlAttributes", "isResponsive", "orientation", "properties", "width"  ],[  ]);
export var SplitterComponent = CreateComponent("Splitter", {
    selector: 'ej-splitter',
    inputs : Inputs,
    outputs : Outputs,
    template:"<ng-content></ng-content>",
    queries: {
    }
},{
   tags : [], 
   twoways : [  ],  
   complexes : ComplexProperties,
});

export const EJ_SPLITTER_COMPONENTS: Type<any>[] = [SplitterComponent  ]

 
