System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var Outputs, ComplexProperties, Inputs, TabComponent, EJ_TAB_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            Outputs = ["itemActive", "ajaxBeforeLoad", "ajaxError", "ajaxLoad", "ajaxSuccess", "beforeActive", "beforeItemRemove", "create", "destroy", "itemAdd", "itemRemove", "model.selectedItemIndexChange: selectedItemIndexChange"];
            ComplexProperties = ["ajaxSettings"];
            Inputs = core_1.Utils.AngularizeInputs(["ajaxSettings", "allowKeyboardNavigation", "collapsible", "cssClass", "disabledItemIndex", "enableAnimation", "enabled", "enabledItemIndex", "enablePersistence", "enableRTL", "enableTabScroll", "events", "headerPosition", "headerSize", "height", "heightAdjustMode", "hiddenItemIndex", "htmlAttributes", "idPrefix", "showCloseButton", "showReloadIcon", "showRoundedCorner", "width", "ajaxSettings.async", "ajaxSettings.cache", "ajaxSettings.contentType", "ajaxSettings.data", "ajaxSettings.dataType", "ajaxSettings.type"], ["selectedItemIndex"]);
            exports_1("TabComponent", TabComponent = core_1.CreateComponent("Tab", {
                selector: 'ej-tab',
                inputs: Inputs,
                outputs: Outputs,
                template: "<ng-content></ng-content>",
                queries: {}
            }, {
                tags: [],
                twoways: ["selectedItemIndex"],
                complexes: ComplexProperties,
            }));
            exports_1("EJ_TAB_COMPONENTS", EJ_TAB_COMPONENTS = [TabComponent]);
        }
    }
});
//# sourceMappingURL=tab.component.js.map