import {CreateArrayTagDirective, CreateControlValueAccessor, CreateComplexDirective, CreateComponent, Utils, ContentChild, Type, forwardRef } from './core';

var Outputs = [ "itemActive", "ajaxBeforeLoad", "ajaxError", "ajaxLoad", "ajaxSuccess", "beforeActive", "beforeItemRemove", "create", "destroy", "itemAdd", "itemRemove" , "model.selectedItemIndexChange: selectedItemIndexChange"];
var ComplexProperties = [ "ajaxSettings"  ];
var Inputs = Utils.AngularizeInputs( [ "ajaxSettings", "allowKeyboardNavigation", "collapsible", "cssClass", "disabledItemIndex", "enableAnimation", "enabled", "enabledItemIndex", "enablePersistence", "enableRTL", "enableTabScroll", "events", "headerPosition", "headerSize", "height", "heightAdjustMode", "hiddenItemIndex", "htmlAttributes", "idPrefix", "showCloseButton", "showReloadIcon", "showRoundedCorner", "width", "ajaxSettings.async", "ajaxSettings.cache", "ajaxSettings.contentType", "ajaxSettings.data", "ajaxSettings.dataType", "ajaxSettings.type"  ],["selectedItemIndex"  ]);
export var TabComponent = CreateComponent("Tab", {
    selector: 'ej-tab',
    inputs : Inputs,
    outputs : Outputs,
    template:"<ng-content></ng-content>",
    queries: {
    }
},{
   tags : [], 
   twoways : ["selectedItemIndex"  ],  
   complexes : ComplexProperties,
});

export const EJ_TAB_COMPONENTS: Type<any>[] = [TabComponent  ]

 
