System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var Outputs, ComplexProperties, Inputs, TileComponent, EJ_TILE_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            Outputs = ["mouseDown", "mouseUp", "model.badge.valueChange: badge.valueChange", "model.badge.enabledChange: badge.enabledChange", "model.badge.textChange: badge.textChange", "model.badge.positionChange: badge.positionChange", "model.caption.textChange: caption.textChange"];
            ComplexProperties = ["badge", "caption", "liveTile"];
            Inputs = core_1.Utils.AngularizeInputs(["badge", "caption", "cssClass", "enablePersistence", "height", "imageClass", "imagePosition", "imageTemplateId", "imageUrl", "liveTile", "tileSize", "width", "showRoundedCorner", "allowSelection", "backgroundColor", "badge.maxValue", "badge.minValue", "caption.enabled", "caption.alignment", "caption.position", "caption.icon", "liveTile.enabled", "liveTile.imageClass", "liveTile.imageTemplateId", "liveTile.imageUrl", "liveTile.type", "liveTile.updateInterval", "liveTile.text"], ["badge.value", "badge.enabled", "badge.text", "badge.position", "caption.text"]);
            exports_1("TileComponent", TileComponent = core_1.CreateComponent("Tile", {
                selector: 'ej-tile',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {}
            }, {
                tags: [],
                twoways: ["badge.value", "badge.enabled", "badge.text", "badge.position", "caption.text"],
                complexes: ComplexProperties,
            }));
            exports_1("EJ_TILE_COMPONENTS", EJ_TILE_COMPONENTS = [TileComponent]);
        }
    }
});
//# sourceMappingURL=tile.component.js.map