import {CreateArrayTagDirective, CreateControlValueAccessor, CreateComplexDirective, CreateComponent, Utils, ContentChild, Type, forwardRef } from './core';

var Outputs = [ "change", "click", "create", "destroy" ];
var ComplexProperties = [   ];
var Inputs = Utils.AngularizeInputs( [ "activePrefixIcon", "activeSuffixIcon", "activeText", "contentType", "cssClass", "defaultPrefixIcon", "defaultSuffixIcon", "defaultText", "enabled", "enablePersistence", "enableRTL", "height", "htmlAttributes", "imagePosition", "preventToggle", "showRoundedCorner", "size", "toggleState", "type", "width"  ],[  ]);
export var ToggleButtonComponent = CreateComponent("ToggleButton", {
    selector: 'ej-togglebutton',
    inputs : Inputs,
    outputs : Outputs,
    template:"",
    queries: {
    }
},{
   tags : [], 
   twoways : [  ],  
   complexes : ComplexProperties,
});

export const EJ_TOGGLEBUTTON_COMPONENTS: Type<any>[] = [ToggleButtonComponent  ]

 
