System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var Outputs, ComplexProperties, Inputs, TooltipComponent, EJ_TOOLTIP_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            Outputs = ["beforeClose", "beforeOpen", "click", "close", "create", "destroy", "hover", "open", "tracking"];
            ComplexProperties = ["animation", "position", "position.target", "position.stem"];
            Inputs = core_1.Utils.AngularizeInputs(["allowKeyboardNavigation", "animation", "associate", "autoCloseTimeout", "closeMode", "collision", "containment", "content", "cssClass", "enabled", "enableRTL", "height", "isBalloon", "position", "showRoundedCorner", "showShadow", "target", "title", "trigger", "width", "animation.effect", "animation.speed", "position.target", "position.target.horizontal", "position.target.vertical", "position.stem", "position.stem.horizontal", "position.stem.vertical"], []);
            exports_1("TooltipComponent", TooltipComponent = core_1.CreateComponent("Tooltip", {
                selector: 'ej-tooltip',
                inputs: Inputs,
                outputs: Outputs,
                template: "<ng-content></ng-content>",
                queries: {}
            }, {
                tags: [],
                twoways: [],
                complexes: ComplexProperties,
            }));
            exports_1("EJ_TOOLTIP_COMPONENTS", EJ_TOOLTIP_COMPONENTS = [TooltipComponent]);
        }
    }
});
//# sourceMappingURL=tooltip.component.js.map