import { Component } from '@angular/core';
import { appRoutes } from './app.module';

@Component({
    selector: 'nav-bar',
    templateUrl: "app/navbar.component.html",
    styleUrls: ['app/navbar.component.css']
})
export class NavbarComponent {
    list: Array<any>;
   
    constructor() {
        this.list = this.getList().sort(function(control1,control2)
        {
            return (control1.name).localeCompare(control2.name);
        });
    }

    getList() {
        return appRoutes.map((value, index) => {
                return { name: value.path != "" ? value.data["name"] : "", path:  value.path};
        });
    }
}