System.register(['@angular/core', '@angular/router', 'rxjs/Rx', '@angular/http', './app.component'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var core_1, router_1, Rx_1, http_1, app_component_1;
    var SourceTabComponent;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (router_1_1) {
                router_1 = router_1_1;
            },
            function (Rx_1_1) {
                Rx_1 = Rx_1_1;
            },
            function (http_1_1) {
                http_1 = http_1_1;
            },
            function (app_component_1_1) {
                app_component_1 = app_component_1_1;
            }],
        execute: function() {
            SourceTabComponent = (function () {
                function SourceTabComponent(_router, http, activeroute, appcomp) {
                    var _this = this;
                    this._router = _router;
                    this.http = http;
                    this.activeroute = activeroute;
                    this.appcomp = appcomp;
                    this.CodeMirror = window["CodeMirror"];
                    this.cmOptions = {
                        readOnly: true,
                        mode: "xml",
                        htmlMode: true
                    };
                    this.url = "/component1";
                    this._router.events.subscribe(function (events) {
                        if (events instanceof router_1.NavigationEnd) {
                            _this.url = _this.activeroute.snapshot.root.children[0]["data"]["location"];
                            appcomp.routeName = _this.activeroute.snapshot.root.children[0]["data"]["name"];
                            Rx_1.Observable.forkJoin(_this.http.get(_this.url + ".html"), _this.http.get(_this.url + ".ts"))
                                .subscribe(function (e) {
                                _this.htmlSourceResult = e[0].text();
                                _this.tsSourceResult = e[1].text();
                                setTimeout(function () {
                                    if (_this._htCM == null || _this._tsCM == null) {
                                        _this._tsCM = _this.CodeMirror.fromTextArea(document.getElementById("tssourcecache"), { mode: "text/typescript", readOnly: true });
                                        _this._htCM = _this.CodeMirror.fromTextArea(document.getElementById("htmlsourcecache"), _this.cmOptions);
                                    }
                                    _this._tsCM.getDoc().setValue(_this.tsSourceResult);
                                    _this._htCM.getDoc().setValue(_this.htmlSourceResult);
                                });
                            });
                        }
                    });
                }
                SourceTabComponent.prototype.onTabItemChange = function (e) {
                    if (e["activeIndex"] != e["prevActiveIndex"]) {
                        this._tsCM.getDoc().setValue(this.tsSourceResult);
                        this._htCM.getDoc().setValue(this.htmlSourceResult);
                    }
                };
                SourceTabComponent = __decorate([
                    core_1.Component({
                        selector: 'source-tab',
                        templateUrl: "app/sourcetab.component.html"
                    }), 
                    __metadata('design:paramtypes', [router_1.Router, http_1.Http, router_1.ActivatedRoute, app_component_1.AppComponent])
                ], SourceTabComponent);
                return SourceTabComponent;
            }());
            exports_1("SourceTabComponent", SourceTabComponent);
        }
    }
});
//# sourceMappingURL=sourcetab.component.js.map